Page MenuHomePhabricator

POC WikiTree categories: Connect Swedish Church Parishes in Wikidata to categories in a wiki at a community of genealogists called WikiTree
Closed, ResolvedPublic

Assigned To
Authored By
Salgo60
Oct 24 2019, 7:27 AM
Referenced Files
F31248654: image.png
Nov 25 2019, 8:38 AM
F31248676: image.png
Nov 25 2019, 8:38 AM
F31010685: WikiTree 2700 mapped.csv
Nov 5 2019, 12:18 PM
F31010686: WikiTree 2700 mapped.json
Nov 5 2019, 12:18 PM
F31010613: image.png
Nov 5 2019, 11:19 AM
F30986890: image.png
Nov 4 2019, 4:37 PM
F30986779: image.png
Nov 4 2019, 4:25 PM
F30986790: image.png
Nov 4 2019, 4:25 PM
Subscribers

Description

Task: Add WikiTree Categories to Wikidata for Swedish Parishes and see how WikiTree can get enriched by the data in Wikidata/Wikipedia better
Status: Done and test will be deleted... see T237353: Request a new Property WikiTreeCategory - P7607
Next step:

  • Get feedback from WikiTree --> see T236340#5634478
  • As WikiTree now gets coordinates for categories they can start create maps for people in a family tree and plot the location of connected categories. Maybe doing a small step direction Linked Data is to start connect Categories to events in a persons life
    • This category
        • is associated with birth place
        • is associated with cemetery
        • is associated with work place
      • ....

See T201404: familysearch.org create a Proof of Concept with a template and how we changed the template [T200515#4683374]

WikiTree is since 2016 a property in wikidata that is connected > 70 000 times for people.

This is a POC that Wikitree also can connect WikiTree categories to Wikidata

The benefit is then that WikiTree can get enriched by the metadata and Wikipedia articles WIkipedia/Wikidata has in > 290 languages.

WikiTree get more connected and can

  • display maps using coordinates in Wikidata
  • links to Swedish WIkipedia with articles about > 6000 "församlingar/socknar" parishes
  • easy retrieve snippets of Wikipedia text to display inside WikiTree
  • use Wikidata as a hub see https://tools.wmflabs.org/hub
    • to navigate WikiTree > Wikidata > Swedish National Archive and the free Swedish church books
    • as Wikidata has the coordinate a link to external maps
    • Wikidata has also a connection to "socknar" Swedish Administrative parishes. You can then also access
      • SOFI name registers for all "socknar"
      • Anbytarforum a discussion groups for every parish

SPARQL

image.png (735×1 px, 574 KB)

API

as we now have a connection WikiTree categories Wikidata we also have access to

  1. Pictures used /associated with the parish
  2. Wikipedia articles about the parish, that we with the Wikipedia API can "reuse"
    1. Example Wikipedia API -> fetch 10 rows of text from the article sv.wikipedia.org Landskrona_församling
      1. API: Extension:TextExtracts, example Landskrona_församling
      2. Category: Pokopališče Žale, Ljubljana, Slovenija same as Q338245 same as en:Wiki same as sl:Wiki
        1. JSON en:Wiki
        2. JSON sl:Wiki

image.png (655×1 px, 154 KB)

  1. Video how to get Python code from a SPARQL query in WIkidata
  2. JSFiddler how to send in a SPARQL query and get a map
    1. JSFiddler query Wikidata for WikiTree Swedish Categories
      image.png (788×1 px, 301 KB)

Swedish Church parish and Swedish Administrative parish

We are now trying to "connect" Swedish Church Parish with Swedish Administrative parish (sv. församlingar/ socknar). This is a "loose" connection as we have no formal sources on this but its useful as we have useful information connected to Swedish Administrative parishes like nameregisters and "Anbytarforum" a site with a discussion group were highly skilled genealogy interested people participate

image.png (628×1 px, 225 KB)

image.png (553×1 px, 231 KB)

Event Timeline

Salgo60 updated the task description. (Show Details)
Salgo60 renamed this task from Connect Swedish Parishes in Wikidata to WikiTree categories to Connect Swedish Church Parishes in Wikidata to categories in a wiki at a community of genealogists called WikiTree.Oct 28 2019, 8:44 AM
Salgo60 updated the task description. (Show Details)
Salgo60 closed this task as Resolved.EditedOct 28 2019, 10:40 AM
Salgo60 claimed this task.
Salgo60 moved this task from Backlog to Done on the Magnus Sälgö board.

POC done but we need some metadata care to see if all categories for Swedish parishes in WikiTree are mapped

image.png (277×597 px, 187 KB)

image.png (319×588 px, 194 KB)

image.png (665×795 px, 445 KB)

image.png (517×446 px, 205 KB)

Salgo60 renamed this task from Connect Swedish Church Parishes in Wikidata to categories in a wiki at a community of genealogists called WikiTree to POC WikiTree categories: Connect Swedish Church Parishes in Wikidata to categories in a wiki at a community of genealogists called WikiTree.Oct 28 2019, 7:49 PM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)

image.png (1×2 px, 374 KB)

  1. WikiTree Category:Mayflower_Passengers
  2. Wikidata Q41967248
  3. People who was part Property 710 and is connected to Wikidata

image.png (1×2 px, 347 KB)

  1. US Presidents Q11696 same as WikiTree Category:US_Presidents
    1. List all people connected to Wikidata and has a position that is a position with a WikiTree Category

image.png (1×2 px, 337 KB)

image.png (1×1 px, 1 MB)

image.png (1×1 px, 1 MB)

  • same Montparnasse Cemetery map

Problem using WikiTree on non humans reported from WIkiTree people we need more info

image.png (584×1 px, 101 KB)

image.png (686×1 px, 144 KB)

When you have the SPARQL WDQS has an option CODE --> you get usable code (see also video at 20 sec)

image.png (1×2 px, 992 KB)

FYI; the tool I use matching is Open Refine that has very good support for Wikidata

Feedback WikiTree people working with data quality at WIkiTree see Space:Data_Doctors_Report_2019-10-27

  1. First problem is that all these entries will cause Format violations and constraint violations.

https://www.wikidata.org/wiki/Wikidata:Database_reports/Constraint_violations/P2949#%22Format%22_violations

  1. Next problem is that it messes all my imports, since I import all items with WikiTreeID property.

I could add additional condition to SQL query, but it would only slow down the queries and I already have a lot of timeout problems and I had to split some imports into several queries.

Also the main point of WikiData items is that they are specifically defined what data they represent. Mixing different things into the same bucket only complicates things.

FindAGrave has a different property for a person and for a cemetery and it makes it easter to link.
https://www.wikidata.org/wiki/Property:P535
https://www.wikidata.org/wiki/Property:P2025

See subtask T237353: Request a new Property WikiTreeCategory - P7607

Used PetScan to remove POC

image.png (1×2 px, 423 KB)

Aklapper moved this task from Backlog to Done on the User-Salgo60 board.